# Generated by Django 3.0.6 on 2021-04-12 19:46

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('partida', '0005_auto_20210412_1416'),
    ]

    operations = [
        migrations.RemoveField(
            model_name='concepto',
            name='partida_id',
        ),
        migrations.AddField(
            model_name='concepto',
            name='partida_id',
            field=models.ForeignKey(default=1, on_delete=django.db.models.deletion.CASCADE, to='partida.Partida', verbose_name='Partida primaria'),
            preserve_default=False,
        ),
        migrations.RemoveField(
            model_name='concepto',
            name='subpartida_id',
        ),
        migrations.AddField(
            model_name='concepto',
            name='subpartida_id',
            field=models.ForeignKey(default=1, on_delete=django.db.models.deletion.CASCADE, to='partida.Subpartida', verbose_name='Partida secundaria'),
            preserve_default=False,
        ),
        migrations.RemoveField(
            model_name='listadomat',
            name='material_id',
        ),
        migrations.AddField(
            model_name='listadomat',
            name='material_id',
            field=models.ForeignKey(default=1, on_delete=django.db.models.deletion.CASCADE, to='partida.Concepto', verbose_name='Material'),
            preserve_default=False,
        ),
        migrations.RemoveField(
            model_name='listadomat',
            name='requisicion_id',
        ),
        migrations.AddField(
            model_name='listadomat',
            name='requisicion_id',
            field=models.ForeignKey(default=1, on_delete=django.db.models.deletion.CASCADE, to='partida.Requisicion', verbose_name='Requisición'),
            preserve_default=False,
        ),
        migrations.RemoveField(
            model_name='maestromat',
            name='concepto_id',
        ),
        migrations.AddField(
            model_name='maestromat',
            name='concepto_id',
            field=models.ForeignKey(default=1, on_delete=django.db.models.deletion.CASCADE, to='partida.Concepto', verbose_name='Concepto'),
            preserve_default=False,
        ),
        migrations.RemoveField(
            model_name='maestromat',
            name='proveedor_id',
        ),
        migrations.AddField(
            model_name='maestromat',
            name='proveedor_id',
            field=models.ForeignKey(default=1, on_delete=django.db.models.deletion.CASCADE, to='partida.Proveedor', verbose_name='Proveedor'),
            preserve_default=False,
        ),
        migrations.RemoveField(
            model_name='obra',
            name='supervisor_id',
        ),
        migrations.AddField(
            model_name='obra',
            name='supervisor_id',
            field=models.ForeignKey(default=1, on_delete=django.db.models.deletion.CASCADE, to='partida.SupervObra', verbose_name='Supervisor'),
            preserve_default=False,
        ),
        migrations.RemoveField(
            model_name='ordensuministro',
            name='requisicion_id',
        ),
        migrations.AddField(
            model_name='ordensuministro',
            name='requisicion_id',
            field=models.ForeignKey(default=1, on_delete=django.db.models.deletion.CASCADE, to='partida.Requisicion', verbose_name='Requisición'),
            preserve_default=False,
        ),
        migrations.RemoveField(
            model_name='ordensuministro',
            name='requisitador_id',
        ),
        migrations.AddField(
            model_name='ordensuministro',
            name='requisitador_id',
            field=models.ForeignKey(default=1, on_delete=django.db.models.deletion.CASCADE, to='partida.Requisitador', verbose_name='Requisitador'),
            preserve_default=False,
        ),
        migrations.RemoveField(
            model_name='requisicion',
            name='requisitador_id',
        ),
        migrations.AddField(
            model_name='requisicion',
            name='requisitador_id',
            field=models.ForeignKey(default=1, on_delete=django.db.models.deletion.CASCADE, to='partida.Requisitador', verbose_name='Requisitador'),
            preserve_default=False,
        ),
    ]
